Skip to main content
`Ctrl`+`K`

# TaoLineSearchGetFullStepObjective

Returns the objective function value at the full step. Useful for some minimization algorithms.

## Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchGetFullStepObjective(TaoLineSearch ls, PetscReal *f_fullstep)

Not Collective

## Input Parameter

- ls - the `TaoLineSearch` context

## Output Parameter

- f_fullstep - the objective value at the full step length

## See Also

`TaoLineSearchGetSolution()`, `TaoLineSearchGetStartingVector()`, `TaoLineSearchGetStepDirection()`

## Level

developer

## Location

src/tao/linesearch/interface/taolinesearch.c

Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages